RSS Aggregator – RSS Import, News Feeds, Feed to Post, and Autoblogging

Information

Software Type Plugin
Software Slug wp-rss-aggregator (view on wordpress.org)
Software Status Active
Software Author jeangalea
Software Website www.wprssaggregator.com
Software Downloads 2,802,715
Software Active Installs 50,000
Software Record Last Updated June 14, 2024

7 Vulnerabilities

Title Status CVE ID CVSS Researchers Date
RSS Aggregator – RSS Import, News Feeds, Feed to Post, and Autoblogging <= 4.23.8 - Reflected Cross-Site Scripting Patched CVE-2024-4860 6.1 Tenable May 14, 2024
WP RSS Aggregator <= 4.23.5 - Authenticated (Admin+) Server-Side Request Forgery via RSS Feed Source Patched CVE-2024-0628 3.8 Colin Xu February 6, 2024
WP RSS Aggregator <= 4.23.4 - Authenticated (Admin+) Stored Cross-Site Scripting via RSS Feed Source Patched CVE-2024-0630 4.4 Colin Xu January 25, 2024
WP RSS Aggregator <= 4.19.3 - Reflected Cross-Site Scripting Patched CVE-2022-0189 6.1 Krzysztof Zając January 26, 2022
WP RSS Aggregator <= 4.19.2 - Subscriber+ Stored Cross-Site Scripting Patched CVE-2021-24988 5.4 Krzysztof Zając November 29, 2021
WP RSS Aggregator <= 4.19.1 - Admin+ Stored Cross-Site Scripting Patched CVE-2021-24768 4.8 Huy Nguyen November 1, 2021
WP RSS Aggregator – News Feeds, Autoblogging, Youtube Video Feeds and More <= 4.6.3 - Authorization Bypass Patched 6.5 Kacper Szurek December 16, 2014

Did you know Wordfence Intelligence provides free personal and commercial API access to our comprehensive WordPress vulnerability database, along with a free webhook integration to stay on top of the latest vulnerabilities added and updated in the database? Get started today!

Learn more

Want to get notified of the latest vulnerabilities that may affect your WordPress site?
Install Wordfence on your site today to get notified immediately if your site is affected by a vulnerability that has been added to our database.

Get Wordfence

The Wordfence Intelligence WordPress vulnerability database is completely free to access and query via API. Please review the documentation on how to access and consume the vulnerability data via API.

Documentation